﻿var sound;
var t;
var vol;
var mute;
var imgSpeaker;
var imgCross;
var updating = false;

function init()
{
    sound = GetLibrary();
    initObjects();
	t = setInterval("refreshdisplay()",75);
}

function terminate()
{
    UnregisterLibrary(); 
}

function initObjects()
{
    imgSpeaker = background.addImageObject("Speaker.png", 0, 0);
    imgSpeaker.width = 130;
    imgSpeaker.height = 57;

    imgCross = background.addImageObject("Cross.png", 0, 0)
    imgCross.width = 130;
    imgCross.height = 57;
}

function changeVolume()
{
    var v = sound.MasterVolume;

    if (event.wheelDelta >= 20)
		v += 3;
	else 
		v -= 3;
	
	if (v >= 100) v = 100;
	if (v <= 0) v = 0;

	sound.MasterVolume = v;
}

function incVolume()
{
    var v = sound.MasterVolume;
		v += 5;
	if (v >= 100) v = 100;
	if (v <= 0) v = 0;
	sound.MasterVolume = v;
}

function decVolume()
{
    var v = sound.MasterVolume;
		v -= 5;
	if (v >= 100) v = 100;
	if (v <= 0) v = 0;
	sound.MasterVolume = v;
}

function mouseDown()
{      
    if(event.button == 4)
    {                
        muteVolume();
    }
}

function muteVolume()
{          
        sound.MasterMute = !sound.MasterMute;
}

function runMixer()
{
    System.Shell.execute("sndvol.exe");
}

function refreshdisplay()
{
    try
    {
        if (!System.Gadget.visible || updating) return;
        updating = true;
        
        vol = sound.MasterVolume;
        mute = sound.MasterMute;
        
        imgCross.opacity = mute ? 100 : 0;
        if (mute)
            txtVolume.innerText = "Muet";
        else
            txtVolume.innerText = ""+ vol; + "%"
        
        divvol.style.width = (Math.round((vol / 1)) * 1);
        divpeakleft.style.width = (Math.round((sound.LeftPeak / 1)) * 1);
        divpeakright.style.width = (Math.round((sound.RightPeak / 1)) * 1);
        
        updating = false;
    }
    catch(err) 
    {
    }
}

